libwpg: libwpg::WPGGradient Class Reference documentation

# libwpg::WPGGradient Class Reference

`#include <WPGGradient.h>`

List of all members.

## Public Member Functions
| WPGGradient ()
| ~WPGGradient ()
| WPGGradient (const WPGGradient &)
WPGGradient & | operator= (const WPGGradient &)
double | angle () const
void | setAngle (double angle)
unsigned | count () const
double | stopOffset (unsigned index) const
WPGColor | stopColor (unsigned index) const
void | clear ()
void | addStop (double offset, const WPGColor &color)
## Private Attributes
WPGGradientPrivate * | d

## Constructor & Destructor Documentation

libwpg::WPGGradient::WPGGradient | ( |  | ) |

libwpg::WPGGradient::~WPGGradient | ( |  | ) |

libwpg::WPGGradient::WPGGradient | ( | const WPGGradient & | g | ) |

## Member Function Documentation

libwpg::WPGGradient & libwpg::WPGGradient::operator= | ( | const WPGGradient & | g | ) |

double libwpg::WPGGradient::angle | ( |  | ) | const

Referenced by libwpg::WPGSVGGenerator::setBrush().

void libwpg::WPGGradient::setAngle | ( | double | angle | ) |

Referenced by WPG2Parser::handleBrushForeColor(), and WPG2Parser::handleDPBrushForeColor().

unsigned libwpg::WPGGradient::count | ( |  | ) | const

Referenced by libwpg::WPGSVGGenerator::setBrush().

double libwpg::WPGGradient::stopOffset | ( | unsigned | index | ) | const

Referenced by libwpg::WPGSVGGenerator::setBrush().

libwpg::WPGColor libwpg::WPGGradient::stopColor | ( | unsigned | index | ) | const

Referenced by libwpg::WPGSVGGenerator::setBrush().

void libwpg::WPGGradient::clear | ( |  | ) |

void libwpg::WPGGradient::addStop | ( | double | offset,
|  | const WPGColor & | color |
| ) |  |  |

Referenced by WPG2Parser::handleBrushForeColor(), and WPG2Parser::handleDPBrushForeColor().

## Member Data Documentation

WPGGradientPrivate* libwpg::WPGGradient::d`[private]`

Referenced by addStop(), angle(), clear(), count(), operator=(), setAngle(), stopColor(), stopOffset(), WPGGradient(), and ~WPGGradient().

The documentation for this class was generated from the following files:

- WPGGradient.h
- WPGGradient.cpp